zabbix-java-gateway(1)

NAME
zabbix-java-gateway.jar - Zabbix Java/JMX monitoring agent.

USAGE
/etc/init.d/zabbix-java-gateway [ start|stop|restart|status ]

DESCRIPTION
"Zabbix Java gateway" is a daemon to collect information from JMX agent. When Zabbix server wants to know the value of a particular JMX counter on a host, it asks Zabbix Java gateway, which uses the JMX management API to query the application of interest remotely. The application does not need any additional software installed, it just has to be started with "-Dcom.sun.management.jmxremote" option to Java on the command line.

Java gateway accepts incoming connection from Zabbix server or proxy and can only be used as a "passive proxy". As opposed to Zabbix proxy, it may also be used from Zabbix proxy (Zabbix proxies cannot be chained). Access to each Java gateway is configured directly in Zabbix server or proxy configuration file, thus only one Java gateway may be configured per Zabbix server or Zabbix proxy. If a host will have items of type JMX agent and items of other type, only the JMX agent items will be passed to Java gateway for retrieval.

When an item has to be updated over Java gateway, Zabbix server or proxy will connect to the Java gateway and request the value, which Java gateway in turn retrieves and passes back to the server or proxy. As such, Java gateway does not cache any values.

Zabbix server or proxy has a specific type of processes that connect to Java gateway, controlled by the option "StartJavaPollers". Internally, Java gateway starts multiple threads, controlled by the START_POLLERS option. On the server side, if a connection takes more than Timeout seconds, it will be terminated, but Java gateway might still be busy retrieving value from the JMX counter.

Zabbix server or proxy will try to pool requests to a single JMX target together as much as possible (affected by item intervals) and send them to the Java Gateway in a single connection for better performance.

It is suggested to have "StartJavaPollers" less than or equal to START_POLLERS, otherwise there might be situations when no threads are available in the Java gateway to service incoming requests.

OPTIONS

-V, --version
    Display version number.

JAVA OPTIONS
zabbix-java-gateway.jar recognises the following Java options:

-Dzabbix.pidFile

-Dlogback.configurationFile
    Example: -Dlogback.configurationFile=/etc/zabbix/logback.xml

-Dzabbix.listenIP

-Dzabbix.listenPort

-Dzabbix.startPollers

CONFIGURATION FILES

/etc/zabbix/logback.xml
    Logging configuration.

/etc/zabbix/zabbix_java_gateway.conf
    Miscellaneous parameters.

SEE ALSO

<https://www.zabbix.com/documentation/5.0/manual/config/items/itemtypes/jmx_monitoring>

<https://www.zabbix.com/documentation/5.0/manual/concepts/java>